from setuptools import setup, find_packages

setup(
    name='PyiUpdater-SCP-Plugin',
    version='0.3',

    description='SCP Uploader Extension',

    author='JohnyMoSwag',
    author_email='johnymoswag@gmail.com',

    url='https://github.com/JohnyMoSwag/PyiUpdater-SCP-Plugin',

    classifiers=['Development Status :: 4 - Beta',
                 'License :: OSI Approved :: MIT License',
                 'Programming Language :: Python :: 2.7',
                 'Intended Audience :: Developers',
                 'Environment :: Console',
                 ],

    platforms=['Any'],

    scripts=[],

    provides=['pyiu.uploaders',
              ],

    install_requires=[
        'paramiko',
        'scp',
        ],

    packages=find_packages(),

    include_package_data=True,

    entry_points={
        'pyiu.uploaders': [
            'Default-scp = plugin.scp_plugin:SCPUploader',
        ],
    },

    zip_safe=False,
)
